BroadcastGroupConfiguration (ActiveMQ Artemis Web 1.1.0.wildfly-010 API)
Date: 2015-12-18

org.apache.activemq.artemis.api.core

## Class BroadcastGroupConfiguration

- java.lang.Object
- - org.apache.activemq.artemis.api.core.BroadcastGroupConfiguration

- All Implemented Interfaces:
    Serializable

      public final class BroadcastGroupConfiguration
      extends Object
      implements Serializable

  The basic configuration used to determine how the server will broadcast members This is analogous to `DiscoveryGroupConfiguration`
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BroadcastGroupConfiguration()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `long` | `getBroadcastPeriod()`
    `List<String>` | `getConnectorInfos()`
    `BroadcastEndpointFactory` | `getEndpointFactory()`
    `String` | `getName()`
    `int` | `hashCode()`
    `BroadcastGroupConfiguration` | `setBroadcastPeriod(long broadcastPeriod)`
    `BroadcastGroupConfiguration` | `setConnectorInfos(List<String> connectorInfos)`
    `BroadcastGroupConfiguration` | `setEndpointFactory(BroadcastEndpointFactory endpointFactory)`
    `BroadcastGroupConfiguration` | `setName(String name)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BroadcastGroupConfiguration

          public BroadcastGroupConfiguration()

  - ### Method Detail

    - #### getName

          public String getName()

    - #### getBroadcastPeriod

          public long getBroadcastPeriod()

    - #### getConnectorInfos

          public List<String> getConnectorInfos()

    - #### setName

          public BroadcastGroupConfiguration setName(String name)

    - #### setBroadcastPeriod

          public BroadcastGroupConfiguration setBroadcastPeriod(long broadcastPeriod)

    - #### setConnectorInfos

          public BroadcastGroupConfiguration setConnectorInfos(List<String> connectorInfos)

    - #### getEndpointFactory

          public BroadcastEndpointFactory getEndpointFactory()

    - #### setEndpointFactory

          public BroadcastGroupConfiguration setEndpointFactory(BroadcastEndpointFactory endpointFactory)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

Copyright © 2015. All rights reserved.